jadwal/urls.py
from django.urls import path
from .views import Join, delete, detail

urlpatterns = [
    path('', Join, name = 'Schedule'),
    path('detail/<int:pk>', detail, name='detail'),
    path('<int:pk>', delete, name = 'hapus'),
]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.index, name='index'),
    path('aboutme/', views.aboutme, name='aboutme'),
]

story4/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('jadwal/', include('jadwal.urls')),
]

jadwal/models.py
from django.db import models

# Create your models here.
from django.db import models

# Create your models here.
class Schedule(models.Model):
    matkul = models.CharField(blank=False, max_length= 100)
    dosen = models.CharField(blank=False, max_length= 100)
    sks = models.IntegerField(blank=False)
    deskripsi = models.CharField(blank=False, max_length= 150)
    sem = models.CharField(blank=False, max_length= 150)
    kelas = models.CharField(blank=False, max_length= 150, help_text ='Masukkan tahun semester, e.g 2020/2021')

main/models.py
from django.db import models

# Create your models here.

jadwal/forms.py
from django import forms

class SchedForm(forms.Form):
        matkul = forms.CharField(widget=forms.TextInput(attrs={
            'class' : 'form-control',
            'placeholder' : 'Mata Kuliah',
            'type' : 'text',
            'required' : True,
        }))
        dosen = forms.CharField(widget=forms.TextInput(attrs={
            'class' : 'form-control',
            'placeholder' : 'Nama Dosen',
            'type' : 'text',
            'required' : True,
        }))
        sks = forms.IntegerField(widget=forms.TextInput(attrs={
            'class' : 'form-control',
            'placeholder' : 'Jumlah sks',
            'type' : 'text',
            'required' : True,
        }))
        deskripsi = forms.CharField(widget=forms.TextInput(attrs={
            'class' : 'form-control',
            'placeholder' : 'Deskripsi Mata Kuliah',
            'type' : 'text',
            'required' : True,
        }))
        sem = forms.CharField(widget=forms.TextInput(attrs={
            'class' : 'form-control',
            'placeholder' : 'Semester',
            'type' : 'text',
            'required' : True,
        }))
        kelas = forms.CharField(widget=forms.TextInput(attrs={
                    'class' : 'form-control',
                    'placeholder' : 'Kelas',
                    'type' : 'text',
                    'required' : True,
        }))

jadwal/views.py
from django.shortcuts import render, redirect
from .models import Schedule as jadwal
#from .models import Assg as tugas
from .forms import SchedForm

# Create your views here.
def Join(request):
    if(request.method == "POST"):
        form = SchedForm(request.POST)
        if (form.is_valid()):
            form2 = jadwal()
            form2.matkul = form.cleaned_data["matkul"]
            form2.dosen = form.cleaned_data["dosen"]
            form2.sks = form.cleaned_data["sks"]
            form2.deskripsi = form.cleaned_data["deskripsi"]
            form2.sem = form.cleaned_data["sem"]
            form2.kelas = form.cleaned_data["kelas"]
            form2.save()
        return redirect ("/jadwal")
    else:
        form2 = jadwal.objects.all()
        form = SchedForm()
        form_dictio ={
             "form2" : form2,
             "form": form
        }
        return render(request, 'jadwal.html', form_dictio)

def delete(request, pk):
    if (request.method == "POST"):
        form = SchedForm(request.POST)
        if(form.is_valid()):
            form2 = jadwal()
            form2.matkul = form.cleaned_data["matkul"]
            form2.dosen = form.cleaned_data["dosen"]
            form2.sks = form.cleaned_data["sks"]
            form2.deskripsi = form.cleaned_data["deskripsi"]
            form2.sem = form.cleaned_data["sem"]
            form2.kelas = form.cleaned_data["kelas"]
            form2.save()
        return redirect ("/jadwal")
    else:
        jadwal.objects.filter(pk = pk).delete()
        form = SchedForm()
        data = jadwal.objects.all()
        form_dictio ={
            "form2" : data,
            "form": form
        }
        return render(request, 'jadwal.html', form_dictio)

def detail(request, pk):
    matkul = jadwal.objects.get(pk=pk)
    detail_dictio= {
        "matkul" : matkul,

    }
    return render(request, 'detail.html', detail_dictio)

main/views.py
from django.shortcuts import render


def index(request):
    return render(request, 'main/index.html')

def aboutme(request):
    return render(request, 'main/aboutme.html')

def schedule(request):
    return render(request, 'main/schedule.html')

def create(request):
    return render(request, 'main/create.html')

jadwal/templates/detail.html
{% load static %}
<!DOCTYPE html>
{% block style %}
    <meta charset="UTF-8">
    <title>Detail</title>
    <meta charset="UTF-8">
    <title>Schedule</title>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
  <link rel="stylesheet" href="{% static 'style.css' %}">
  <link rel = "stylesheet" type = "text/css" href = "{% static 'style_detail.css' %}">
{% endblock %}
<body>
    <img src="{% static 'background.jpg' %}" class="img-fluid" alt="Responsive image">

<div class="sidebar">
    <a href="{% url 'main:index' %}" style="color: blanchedalmond;">Home</a>
    <a href="{% url 'main:aboutme' %}" style="color: blanchedalmond;">About Me</a>
    <a href="jadwal/">Schedule</a>
    <a href="https://www.linkedin.com/in/dewinta-dyah-maharani-447686180/" style="color: blanchedalmond;">LinkedIn</a>
</div>

<div id="DETAIL" class="content">
    <h1><i>DETAIL</i></h1>
    <a href="{% url 'Schedule' %}">
        <p> back</p>
    </a>
</div>
<div class="container; content" style="margin-right: 30px;">
    <!--<div class="row">
        <div class="col">
            <form action='' method="POST">
                {% csrf_token %}
                {{ form }}
                <br>
            </form>
        </div>-->
        <!--<div class="col" id="tulisan"> -->
            <table class="table">
                <!--<thead>-->
                <tr>
                    <th scope="col">Mata Kuliah</th>
                    <th scope="col">Dosen</th>
                    <th scope="col">SKS</th>
                    <th scope="col">Deskripsi</th>
                    <th scope="col">Semester</th>
                    <th scope="col">Kelas</th>
                </tr>
                <!--</thead>-->
                <tbody>
                <tr>
                    <th scope="row">{{matkul.matkul}}</th>
                    <td>{{matkul.sks}}</td>
                    <td>{{matkul.dosen}}</td>
                    <td>{{matkul.deskripsi}}</td>
                    <td>{{matkul.sem}}</td>
                    <td>{{matkul.kelas}}</td>
                    {% comment %}
<!--                    <td>{{jadwal.sks}}</td>-->
<!--                    <td>{{jadwal.dosen}}</td>-->
<!--                    <td>{{jadwal.sks}}</td>-->
<!--                    <td>{{jadwal.deskripsi}}</td>-->
<!--                    <td>{{jadwal.sem}}</td>-->
<!--                    <td>{{jadwal.kelas}}</td>-->
                    {% endcomment %}
                </tr>
                </tbody>
            </table>
        <!-- </div> -->
    </div>
</div>
</body>
</html>

jadwal/templates/jadwal.html
{% load static %}
<!DOCTYPE html>
<meta charset="UTF-8">
<title>Schedule</title>
{% block style %}
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
  <link rel="stylesheet" href="{% static 'style.css' %}">
  <link rel = "stylesheet" type = "text/css" href = "{% static 'style_sched.css' %}">
{% endblock %}
<body>
    <img src="{% static 'background.jpg' %}" class="img-fluid" alt="Responsive image">

<div class="sidebar">
    <a href="{% url 'main:index' %}" style="color: blanchedalmond;">Home</a>
    <a href="{% url 'main:aboutme' %}" style="color: blanchedalmond;">About Me</a>
    <a href="jadwal/">Schedule</a>
    <a href="https://www.linkedin.com/in/dewinta-dyah-maharani-447686180/" style="color: blanchedalmond;">LinkedIn</a>
</div>

<div class="container; content">
    <div class="row">
        <div class="col">
            <form action='' method="POST">
                {% csrf_token %}
                {{ form }}
                <br>
                <div class="centre-items">
                    <input type="submit" class="btn btn-primary" value="Add Schedule" style="background-color: darksalmon; border-color: darksalmon;">
                </div>
            </form>
        </div>
        <div class="col" id="tulisan">
            <table class="table">
                <thead>
                <tr>
                   <th scope="col">Mata Kuliah</th>
                   <th scope="col">Delete</th>
                   <th scope="col">Info</th>
<!--                    <th scope="col">Dosen</th>-->
<!--                    <th scope="col">SKS</th>-->
<!--                    <th scope="col">Deskripsi</th>-->
<!--                    <th scope="col">Semester</th>-->
<!--                    <th scope="col">Kelas</th>-->
                </tr>
                </thead>
                <br>
                <tbody>
                {% for jadwal in form2 %}
                <tr>
                    <th scope="row">{{jadwal.matkul}}</th>
<!--                    <td>{{jadwal.sks}}</td>-->
<!--                    <td>{{jadwal.dosen}}</td>-->
<!--                    <td>{{jadwal.deskripsi}}</td>-->
<!--                    <td>{{jadwal.sem}}</td>-->
<!--                    <td>{{jadwal.kelas}}</td>-->

                    <td><a href="{% url 'hapus' pk=jadwal.pk %}"><button class="btn btn-icon btn-danger"><i class="fa fa-trash"></i></button></a></td>
                    <td><a href="{% url 'detail' pk=jadwal.pk %}"> <button class="btn btn-danger"></button></a></td>
                </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
</div>
</body>
<br>
<footer>
    <p>By Dewinta Dyah Maharani<br>
  </footer>
</html>

main/templates/main/aboutme.html
<!doctype html>
{% extends 'base.html' %}
{% load static %}
{% block title %}<title>Dewinta Dyah Maharani</title>{% endblock %}

<!--<head>
    Required meta tags
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
</head>-->

  <!-- Bootstrap CSS -->
  {% block style %}
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
  <link rel="stylesheet" href="{% static 'style.css' %}">
  {% endblock %}

    <!--Isi-->
    {% block content %}
    <div class="content">
      <h1>About Me</h1>
      <p>As a student in the process of learning, I look forward to gain experience and face challenges. I'm motivated to grow and am always eager to learn.
      I have interest in activism (focusing on gender and the environment) and pop culture such as films and music. Here are my favorites:
      </p>
      <div class="container-fluid">
        <div class="row">
          <div class="col-sm">
            <h2 style="color:darksalmon ;text-align: center;">FILMS</h2>
            <p style="color:rgb(204, 119, 91) ;text-align: center;">Lady Bird (2017)</p>
            <img style="max-width: 250px ;height: auto ;display:block ;margin-left:auto ;margin-right:auto ;" src="{% static 'ladybird.jpeg' %}">
            <div class="journey"><p style="color:rgb(204, 119, 91) ;text-align:justify ;">Lady Bird is one of my favorite films. I've always liked
            coming of age films, but I think Lady Bird is the best. Maybe because it's also played by Saoirse Ronan, one of my favorite actors.</p></div>
            <p style="color:rgb(204, 119, 91) ;text-align: center;">Before Trilogy (1985, 2003, 2013)</p>
            <img style="max-width: 250px ;height: auto ;display:block ;margin-left:auto ;margin-right:auto ;" src="{% static 'before.jpeg' %}">
            <div class="journey"><p style="color:rgb(204, 119, 91) ;text-align:justify ;">Romance isn't really my genre... except the Before Trilogy.
            There's just something special in its simplicity. Easily a classic.</p></div>
          </div>

          <div class="col-sm">
            <h2 style="color:darksalmon ;text-align: center;">MUSIC</h2>
            <p style="color:rgb(204, 119, 91) ;text-align: center;">Lorde<br><audio style="background-color: rgb(240, 240, 245); text-align: center;" src="{% static 'lorde.mp3' %}" controls></audio></p>
            <div class="journey"><p style="color:rgb(204, 119, 91) ;text-align:justify ;">Lorde might be my favorite modern artist. Everything about
            her just touches my soul. Lyrics, aesthetics, they just speak to me. I can't even pick a favorite song, but here's The Love Club.</p></div>
            <p style="color:rgb(204, 119, 91) ;text-align: center;">Soda Shop<br><audio style="background-color: rgb(240, 240, 245); text-align: center;" src="{% static 'Farewell.mp3' %}" controls></audio></p>
            <div class="journey"><p style="color:rgb(204, 119, 91) ;text-align:justify ;">Soda Shop has been one of my favorite bands since 2016.
            There's just something about their music that feels like me. Sadly they haven't pproduced anything in a while.</p></div>
            <p style="color:rgb(204, 119, 91) ;text-align: center;">Clairo<br><audio style="background-color: rgb(240, 240, 245); text-align: center;" src="{% static 'Bubblegum.mp3' %}" controls></audio></p>
            <div class="journey"><p style="color:rgb(204, 119, 91) ;text-align:justify ;">I love Clairo's music. Not only is the lyrics relatable
            (since she is of my generation) but her music makes me feel soft, if that makes sense.</p></div>
          </div>
        </div>  
      </div>
    </div>

    <!--Footer-->
    <footer>
      <p>By Dewinta Dyah Maharani<br>
    </footer>
    {% endblock %}

main/templates/main/index.html
<!doctype html>
{% extends 'base.html' %}
{% load static %}
{% block title %}<title>Dewinta Dyah Maharani</title>{% endblock %}

<!--<head>
    Required meta tags
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
</head>-->

  <!-- Bootstrap CSS -->
  {% block style %}
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
  <link rel="stylesheet" href="{% static 'style.css' %}">
  {% endblock %}

    <!--Content-->
    {% block content %}
    <div class="content">
      <div class="welcome">
        <div class="container">
          <div class="row">
            <div class="col-sm-3" style="text-align: center;">
              <img src="{% static 'me.jpg' %}" class="rounded-circle" style="margin-top: 25px;">
            </div>
            <div class="col-sm-9" style="margin-top: 20px;">
              <h1>Hi! Welcome to my website.</h1>
              <p>I'm Inta, a sophomore at the Faculty of Computer Sciences in University of Indonesia
              studying information systems. I'm motivated to grow and am always eager to learn.</p>
              <br>
              <h2>My Profile</h2>
            </div>
          </div>
        </div>
        <div style="overflow-x:auto;">
        <table>
          <tr>
            <th>Name</th>
            <th>Dewinta Dyah Maharani</th>
          </tr>
          <tr>
            <td>Birthday</td>
            <td>27 September 2001</td>
          </tr>
          <tr>
            <td>Batch</td>
            <td>Maung 2019</td>
          </tr>
          <tr>
            <td>ID</td>
            <td>1906399562</td>
          </tr>
        </table>
        </div>
      </div>
      <h1 style="color:chocolate ;margin-bottom: 20px ;margin-top: 20px ;text-align: center;">JOURNEY</h1>
              <div class="container-fluid">
                <div class="row">
                  <div class="col-sm">
                    <h2 style="color:darksalmon ;text-align: center;">2019</h2>
                    <p style="color:rgb(204, 119, 91) ;text-align: center;">SMA Negeri 28 Jakarta</p>
                    <img style="max-width: 250px ;height: auto ;display:block ;margin-left:auto ;margin-right:auto ;" src="{% static 'guys.jpg' %}">
                    <div class="journey"><p style="color:rgb(204, 119, 91) ;text-align:justify ;">This is my prom night picture with my friends. The night 
                      marks the end of my three year high school experience and I couldn't be more thankful.</p></div>
                    <p style="color:rgb(204, 119, 91) ;text-align: center;">University of Indonesia</p>
                    <img style="max-width: 200px ;height: auto ;display:block ;margin-left:auto ;margin-right:auto ;" src="{% static 'ui.jpg' %}">
                    <div class="journey"><p style="color:rgb(204, 119, 91) ;text-align:justify ;">I got accepted in my dream university! Obviously it's not the end
                      of my journey, but instead the beginning of a new one. I have to admit I struggled a lot, computer science sure is challenging!</p></div>
                  </div>

                  <div class="col-sm">
                    <h2 style="color:darksalmon ;text-align: center;">2020</h2>
                    <p style="color:rgb(204, 119, 91) ;text-align: center;">AIESEC</p>
                    <img style="max-width: 220px ;height: auto ;display:block ;margin-left:auto ;margin-right:auto ;" src="{% static 'aiesec.jpg' %}">
                    <div class="journey"><p style="color:rgb(204, 119, 91) ;text-align:justify ;">Earlier this year, I finally completed my first university event that
                      is AIESEC's Global Village as the Organizing Committee Vice President of Marketing Communications.</p></div>
                    <p style="color:rgb(204, 119, 91) ;text-align: center;">COMPFEST & PERAK</p>
                    <img style="max-width: 220px ;height: auto ;display:block ;margin-left:auto ;margin-right:auto ;" src="{% static 'pc.png' %}">
                    <div class="journey"><p style="color:rgb(204, 119, 91) ;text-align:justify ;">COMPFEST and PERAK are my current ongoing projects. It's exciting
                      to have the opportunity to try different things, I think. In COMPFEST, I'm in charge of Food and Beverages while in PERAK, I'm learning
                      as a staff member to public relations.</p></div>
                  </div>
                </div>  
              </div>
    </div>


    <!--Footer-->
    <footer>
      <p>By Dewinta Dyah Maharani<br>
    </footer>
  {% endblock %}

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  {% block title %} {% endblock %}
  <link rel="stylesheet" href="{% static 'css/style.css' %}">
  {% block style %} {% endblock %}
  {% block meta %}
  {% endblock meta %}
</head>

<img src="{% static 'background.jpg' %}" class="img-fluid" alt="Responsive image">
<body>
{% include "navbar.html" %}
  {% block content %}
  {% endblock content %}
</body>

<!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>

</html>

templates/navbar.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Dewinta Dyah Maharani</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'style.css' %}">
</head>

<body>
    <div class="sidebar">
        <a href="{% url 'main:index' %}" style="color: blanchedalmond;">Home</a>
        <a href="{% url 'main:aboutme' %}" style="color: blanchedalmond;">About Me</a>
        <a href="jadwal/">Schedule</a>
        <a href="https://www.linkedin.com/in/dewinta-dyah-maharani-447686180/" style="color: blanchedalmond;">LinkedIn</a>
    </div>
</body>
</html>